/**
 * Copyright 2018 Cohesity Inc.
 *
 * Author : Rupesh Bajaj
 *
 * Fetches the information for backup set files
 *
 * Reference http://bit.ly/orcl1643339_1
 */

define task_id = &3
define common_path = '&5'
@"&common_path/common.sql"
select /*+ RULE*/ BS_KEY, SET_STAMP, SET_COUNT, CONTROLFILE_INCLUDED
from V$BACKUP_SET_DETAILS
where (SESSION_RECID, SESSION_STAMP) IN (
      select /*+ RULE*/ SESSION_RECID, SESSION_STAMP
      from V$RMAN_STATUS
      where command_id='&task_id');
quit;
