/**
 * Copyright 2018 Cohesity Inc.
 *
 * Author : Vivek Velankar
 *
 * Fetches the information for archive log files.
 */

define task_id = &3
define common_path = '&5'
@"&common_path/common.sql"
select /*+ RULE*/ r.THREAD#, r.SEQUENCE#, r.RESETLOGS_CHANGE#,
to_char(cast(r.RESETLOGS_TIME as timestamp) at time zone 'UTC', '&date_format'),
r.FIRST_CHANGE#,
to_char(cast(r.FIRST_TIME as timestamp) at time zone 'UTC', '&date_format'),
r.NEXT_CHANGE#,
to_char(cast(r.NEXT_TIME as timestamp) at time zone 'UTC', '&date_format'),
r.NEXT_TIME
from V$BACKUP_PIECE p, V$BACKUP_REDOLOG r where r.SET_STAMP = p.SET_STAMP
and r.SET_COUNT = p.SET_COUNT and p.HANDLE='&task_id';
quit
