/**
 * Copyright 2019 Cohesity Inc.
 *
 * Author : Vivek Velankar
 *
 * Starts the log apply MRP process for standby node.
 */
define common_path = '&5'
@"&common_path/common.sql"

BEGIN
  BEGIN
  execute immediate 'ALTER DATABASE RECOVER MANAGED STANDBY DATABASE cancel';
  EXCEPTION
    WHEN OTHERS THEN
      -- We want to unconditionally ignore errors for stopping the MRP.
      dbms_output.put_line('ORA-16136: Managed Standby Recovery not active');
  END;
  execute immediate 'ALTER DATABASE RECOVER MANAGED STANDBY DATABASE DISCONNECT';
END;
/

select name,open_mode,database_role from GV$database;
quit;
