/**
 * Copyright 2018 Cohesity Inc.
 *
 * Author : Vivek Velankar
 *
 * Fetch the incarnation history for the current database.
 */
define common_path = '&5'
@"&common_path/common.sql"
select /*+ RULE*/ RESETLOGS_CHANGE#,INCARNATION#,
       to_char(cast(RESETLOGS_TIME as timestamp) at time zone 'UTC', '&date_format'),
       RESETLOGS_TIME, PRIOR_RESETLOGS_CHANGE#,
       PRIOR_INCARNATION#,STATUS, RESETLOGS_ID
from GV$DATABASE_INCARNATION;
quit;
