/**
 * Copyright 2018 Cohesity Inc.
 *
 * Author : Vivek Velankar
 *
 * Fetch the process information for the session identified by task_id.
 */
define task_id = &3
define common_path = '&5'
@"&common_path/common.sql"
select /*+ RULE*/ SID,s.SERIAL#,SPID,CLIENT_INFO,STATUS,PROCESS
from GV$PROCESS p, GV$SESSION s
WHERE p.ADDR = s.PADDR AND
      (CLIENT_INFO LIKE '%&task_id%' OR
       -- Only get rman channel session of the backup identified by task_id
       (CLIENT_INFO LIKE '%rman channel%' and process in
          (select process from gv$session
             where CLIENT_INFO LIKE '%&task_id%' )))
ORDER BY SID, s.SERIAL#,SPID;
quit;
