/**
 * Copyright 2018 Cohesity Inc.
 *
 * Author : Vivek Velankar
 *
 * Fetches the information for redo log files.
 */

define task_id = &3
define common_path = '&5'
@"&common_path/common.sql"
select /*+ RULE*/ THREAD#, SEQUENCE#, RESETLOGS_CHANGE#,
       to_char(cast(RESETLOGS_TIME as timestamp) at time zone 'UTC', '&date_format'),
       FIRST_CHANGE#,
       to_char(cast(FIRST_TIME as timestamp) at time zone 'UTC', '&date_format'),
       NEXT_CHANGE#,
       to_char(cast(NEXT_TIME as timestamp) at time zone 'UTC', '&date_format'),
       NEXT_TIME
from V$BACKUP_REDOLOG
where SET_STAMP = &task_id and
      SET_COUNT = &6;
quit;
